import 'package:fis_jsonrpc/rpc.dart';

import 'base.dart';

/// 账号-医生
abstract class IAccountManager implements IManager {
  /// 登录
  ///
  /// [account] 账号
  ///
  /// [password] 密码
  Future<int> login(String account, String password, bool isAutoLogin);

  /// 退出登录
  Future<bool> logout();

  Future<UserDTO?> getUserDetailAsync();

  Future<bool> updateUserAsync(UserDTO dto);

  Future<String> getUserPasswordDetailAsync();

  Future<bool> updateUserPasswordAsync(String secretPassword);

  /// 菜单权限
  Future<List<UserFeatureDTO>?> getMenuPermission();

  ///  应用权限
  Future<List<UserFeatureDTO>?> getOperationPermission();
}
